%define ver_major 2.10
%def_enable exif
%def_enable gphoto2

Name: gthumb
Version: %ver_major.12
Release: alt1

Summary: An image viewer and browser for GNOME
Summary(ru_RU.UTF-8): Просмотрщик изображений и фотоальбом для GNOME

License: GPL
Group: Graphics
Url: http://gthumb.sourceforge.net/

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: %name.ru.po
# see ALT #21639
Patch: %name-2.10.11-alt-i18n.patch

# From configure.in
%define glib_ver 2.6.0
%define gtk_ver 2.10.0
%define libxml2_ver 2.4.0
%define libgnomeui_ver 2.6.0
%define gnomecanvas_ver 2.6.0
%define gnome_vfs_ver 2.6.0
%define glade_ver 2.4.0
%define libgnomeprint_ver 2.6.0
%define libbonoboui_ver 2.6.0
%define exif_ver 0.6.13
%define gphoto_ver 2.1.3
%define openraw_ver 0.0.2
%define iptcdata_ver 0.2.1

%define gnome_common_ver 2.8.0
%define desktop_file_utils_ver 0.8

Requires(post): GConf2

# From configure.in
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgnomecanvas-devel >= %gnomecanvas_ver
BuildPreReq: gnome-vfs-devel >= %gnome_vfs_ver
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: libgnomeprintui-devel >= %libgnomeprint_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver
BuildPreReq: libopenraw-gnome-devel >= %openraw_ver
BuildPreReq: libiptcdata-devel >= %iptcdata_ver

%if_enabled exif
BuildPreReq: libexif-devel >= %exif_ver
%endif
%if_enabled gphoto2
BuildPreReq: libgphoto2-devel >= %gphoto_ver
%endif
BuildPreReq: libjpeg-devel libtiff-devel libXrender-devel libXext-devel libX11-devel
BuildPreReq: libXtst-devel libXxf86vm-devel gnome-doc-utils libSM-devel libXi-devel

BuildRequires: desktop-file-utils >= %desktop_file_utils_ver
BuildRequires: GConf2 scrollkeeper
BuildRequires: gnome-common >= %gnome_common_ver
BuildRequires: intltool perl-XML-Parser

%description
gThumb lets you browse your hard disk, showing thumbnails of image
files. It also lets view single files (including GIF animations),
add comments to images, organize images in catalogs, print images, view
slideshows, set desktop background, and more.

%description -l ru_RU.UTF-8
gThumb позволяет просматривать содержимое жёсткого диска, показывая
уменьшенные копии содержимого графических файлов. Также программа
позволяет просматривать отдельные изображения (включая мультфильмы в
формате GIF), добавлять комментарии к картинкам, раскладывать картинки
по каталогам, печатать, автоматически пролистывать серии картинок,
менять фон рабочего стола и многое другое.

%prep
%setup -q
%patch -p1
%__bzip2 -k ChangeLog
cp %SOURCE1 po/ru.po

%build
%configure \
    --enable-jpeg \
    --enable-tiff \
    --enable-render \
    %{subst_enable exif} \
    %{subst_enable gphoto2} \
    --disable-static \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --enable-iptcdata \
    --enable-libopenraw

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/*
%dir %_libdir/%name/
%_libdir/lib%name.so
%dir %_libdir/%name/modules
%_libdir/%name/modules/*.so
%_libdir/bonobo/servers/*
%_desktopdir/*
%_datadir/%name
%_liconsdir/*
%_man1dir/*
%config %_sysconfdir/gconf/schemas/%name.schemas
%doc AUTHORS ChangeLog.bz2 NEWS README

%exclude %_libdir/%name/modules/*.la

%changelog
* Wed May 05 2010 Yuri N. Sedunov <aris@altlinux.org> 2.10.12-alt1
- 2.10.12

* Sat Mar 13 2010 Yuri N. Sedunov <aris@altlinux.org> 2.10.11-alt4
- rebuild

* Sun Sep 20 2009 Yuri N. Sedunov <aris@altlinux.org> 2.10.11-alt3
- updated russian translation (ALT #21639)

* Tue Jun 23 2009 Yuri N. Sedunov <aris@altlinux.org> 2.10.11-alt2
- rebuild

* Sun Mar 01 2009 Yuri N. Sedunov <aris@altlinux.org> 2.10.11-alt1
- new version

* Mon Dec 01 2008 Yuri N. Sedunov <aris@altlinux.org> 2.10.10-alt3
- removed obsolete %%post* macros
- updated buildreqs

* Thu Oct 09 2008 Yuri N. Sedunov <aris@altlinux.org> 2.10.10-alt2
- updated russian translation
  http://l10n.gnome.org/POT/gthumb.HEAD/gthumb.HEAD.ru.po

* Tue Sep 23 2008 Yuri N. Sedunov <aris@altlinux.org> 2.10.10-alt1
- 2.10.10

* Wed Aug 06 2008 Yuri N. Sedunov <aris@altlinux.org> 2.10.9-alt1
- new version
- updated buildreqs (versions, raw and IPTC support enabled)

* Mon Mar 24 2008 Vitaly Lipatov <lav@altlinux.ru> 2.10.8-alt1
- new version 2.10.8 (with rpmrb script)

* Thu Oct 18 2007 Vitaly Lipatov <lav@altlinux.ru> 2.10.7-alt1
- new version 2.10.7 (with rpmrb script)

* Sun Sep 23 2007 Vitaly Lipatov <lav@altlinux.ru> 2.10.6-alt1
- new version 2.10.6 (with rpmrb script)
- enable update/clean menus

* Sat Jun 23 2007 Vitaly Lipatov <lav@altlinux.ru> 2.10.4-alt1
- new version 2.10.4 (with rpmrb script)
- spec fixes

* Wed Mar 14 2007 Vitaly Lipatov <lav@altlinux.ru> 2.9.3-alt1
- new version 2.9.3 (with rpmrb script)
- bzip ChangeLog (fix bug #11084), thanks icesik@

* Sun Jan 21 2007 Vitaly Lipatov <lav@altlinux.ru> 2.9.1-alt0.1
- new version 2.9.1 (formally unstable)
- add gnome-doc-utils to buildreq

* Fri Dec 29 2006 Alexey Rusakov <ktirf@altlinux.org> 2.8.1-alt1
- new version (2.8.1)

* Sun Sep 03 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.7.8-alt1
- new version (2.7.8), switching to formally-unstable branch.
- renamed 'with libexif' switch to 'enable exif', to fit with configure script.
- likewise, renamed 'with gphoto' to 'enable gphoto2'.

* Tue Apr 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.6.9-alt1
- new version (2.6.9)
- spec cleanup, dependencies updated
- removed Debian menu support.

* Sat Jul 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.6.6-alt1
- 2.6.6

* Sat Apr 23 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.6.5-alt1
- 2.6.5

* Mon Apr 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.6.4-alt1.1
- rebuild against libexif.so.12.

* Fri Mar 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.6.4-alt1
- 2.6.4

* Sun Jan 23 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.6.3-alt1
- 2.6.3

* Tue Dec 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Sun Nov 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0.1-alt1
- 2.6.0.1

* Mon Sep 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.1-alt1.1
- rebuild with libtiff.so.4

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.1-alt1
- 2.5.1

* Wed Sep 01 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.2-alt1
- 2.4.2

* Sun Jul 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Sat May 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Thu May 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1.1
- updated translations by slava@.

* Fri Apr 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Mon Feb 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt2
- build with gphoto2 support.
- new translation, i18n fix, summary and description in UTF-8 by slava.

* Tue Feb 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Fri Dec 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Thu Dec 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.9-alt1
- 2.1.9

* Mon Nov 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.8-alt1
- 2.1.8

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.7-alt1
- 2.1.7

* Mon Sep 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Wed Jul 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3
- ru.po by slava.

* Mon May 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- go to gnome2.
- Patch for building with libgnomeprint2-2.2 by AVL.

* Thu Jun 13 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.13-alt1
- ALTLinux build.
